@echo off

REM Setze den Quellpfad der Dateien
set "sourcePath=%~dp0"

REM Kopiere Web-N-HOME.html auf den Desktop
echo Kopiere %sourcePath%Web-N-HOME.html nach %USERPROFILE%\Desktop
copy "%sourcePath%Web-N-HOME.html" "%USERPROFILE%\Desktop\Web-N-HOME.html"
if errorlevel 1 (
    echo Fehler beim Kopieren von Web-N-HOME.html
)

REM Kopiere Web-N-WORLD.html auf den Desktop
echo Kopiere %sourcePath%Web-N-WORLD.html nach %USERPROFILE%\Desktop
copy "%sourcePath%Web-N-WORLD.html" "%USERPROFILE%\Desktop\Web-N-WORLD.html"
if errorlevel 1 (
    echo Fehler beim Kopieren von Web-N-WORLD.html
)

REM Frage den Benutzer, ob die Anwendung automatisch mit Windows starten soll
set /p "autostartChoice=Möchten Sie, dass diese Anwendung automatisch beim Start von Windows gestartet wird? (J/N): "
if /i "%autostartChoice%"=="J" (
    REM Kopiere die Batch-Datei ins Autostart-Verzeichnis
    echo Kopiere %sourcePath%StartWebNHOME.bat nach %APPDATA%\Microsoft\Windows\Start Menu\Programs\Startup
    copy "%sourcePath%StartWebNHOME.bat" "%APPDATA%\Microsoft\Windows\Start Menu\Programs\Startup\StartWebNHOME.bat"
    if errorlevel 1 (
        echo Fehler beim Kopieren von StartWebNHOME.bat
    ) else (
        echo Datei kopiert: StartWebNHOME.bat ins Autostart-Verzeichnis
    )
) else (
    echo Der Benutzer hat entschieden, die Anwendung nicht automatisch mit Windows zu starten.
)

echo Installation abgeschlossen.
pause
